/* $Id: dexterplugin-main.h 393 2012-03-06 23:36:44Z pkovacs $ */
/*
 * libdexter - a plugin-based, distributed sampling library.
 * Copyright (C) 2006-2012 Philip Kovacs <pkovacs@users.sourceforge.net>.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public License
 * as published by the Free Software Foundation; either version 2.1
 * of the License, or (at your option) any later version.

 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.

 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
 * 02110-1301  USA
 *
*/

#ifndef __DEXTERPLUGIN_MAIN_H__
#define __DEXTERPLUGIN_MAIN_H__

#include <glib.h>
#include <dexterplugin-imain.h>

G_BEGIN_DECLS

/**
 * DEXTER_IMAIN:
 *
 * Convenience macro.
 **/
#define DEXTER_IMAIN      dexterplugin_main_imain_get ()

/**
 * DEXTER_ICONFIG:
 *
 * Convenience macro.
 **/
#define DEXTER_ICONFIG    dexterplugin_main_imain_get ()->iconfig

/**
 * DEXTER_IVERSION:
 *
 * Convenience macro.
 **/
#define DEXTER_IVERSION   dextgerplugin_main_imain_get ()->iversion


const DexterPluginIMain   *dexterplugin_main_imain_get   (void) G_GNUC_CONST;

void                       dexterplugin_main_imain_set   (DexterPluginIMain *imain);

G_END_DECLS

#endif /* __DEXTERPLUGIN_MAIN_H__ */
